aboutsummaryrefslogtreecommitdiff
path: root/build-aux/workflow/README.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-01-23 19:37:24 -0300
committerEuAndreh <eu@euandre.org>2021-01-23 19:37:24 -0300
commite1c3b0a1f5ebc64da3d783b0b37c9441c47ca79b (patch)
treeea1332e90d52715b31ef50a3c4845e2294f6ecf4 /build-aux/workflow/README.sh
parentAdd default Guix infrastructure (diff)
downloadeuandre.org-e1c3b0a1f5ebc64da3d783b0b37c9441c47ca79b.tar.gz
euandre.org-e1c3b0a1f5ebc64da3d783b0b37c9441c47ca79b.tar.xz
Add default workflow infrastructure
Diffstat (limited to '')
-rwxr-xr-xbuild-aux/workflow/README.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/build-aux/workflow/README.sh b/build-aux/workflow/README.sh
new file mode 100755
index 0000000..1aa2593
--- /dev/null
+++ b/build-aux/workflow/README.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -eu
+
+mkdir -p public
+
+PROJECT_UC="$1"
+PROJECT="$2"
+
+RELEASES_LIST="$(mktemp)"
+for version in $(git tag); do
+ echo "- version [$version](https://git.euandreh.xyz/$PROJECT/snapshot/$PROJECT-$version.tar.gz), released in $(git log -1 --format=%cd --date=short "$version")" >> "$RELEASES_LIST"
+done
+
+RELEASES="$(mktemp)"
+if [ -s "$RELEASES_LIST" ]; then
+ printf '# Releases\n\n' >> "$RELEASES"
+ cat "$RELEASES_LIST" >> "$RELEASES"
+fi
+
+cat README.md "$RELEASES" | \
+ pandoc --toc \
+ --highlight-style pygments \
+ --toc-depth=2 \
+ -s \
+ --metadata title="$PROJECT_UC - TODOs" \
+ --metadata lang=en \
+ -r markdown \
+ -w html \
+ > public/index.html